<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>Dacelo UI Components</title>
		<link rel="stylesheet" type="text/css" href="stylesheets/styles.css" />
		<script src="javascripts/prototype.js" type="text/javascript"></script>
		<script src="javascripts/yui/build/yahoo-dom-event/yahoo-dom-event.js" type="text/javascript"></script>
		<script src="javascripts/yui/build/element/element-beta.js" type="text/javascript"></script>
		<script src="javascripts/yui/build/datasource/datasource-beta.js" type="text/javascript"></script>
		<script src="javascripts/yui/build/datatable/datatable-beta.js" type="text/javascript"></script>
		<script src="javascripts/yui/build/tabview/tabview.js" type="text/javascript"></script>
		<script src="javascripts/application.js" type="text/javascript"></script>
		<style type="text/css">
		  /* LARGE ASSET BADGE */
		  div.asset.large {
		    background: #DDD url(http://oculosis.com/maraby/tmp/harbor/laptop.png) no-repeat scroll 10px 10px;
		    width: 245px;
		    padding: 5px;
		  }
		  div.asset.large ul.data, div.asset.large ol.data {
		    margin-left: 35px;
		    list-style: none;
		  }
		  div.asset.large .data li {
		    margin: 0.5em;
		    text-align: right;
		  }
		  div.asset.large .data li span.label {
		    font-weight: bold;
		    color: #888;
		    float: left;
		  }
		  div.asset.large .data li span.primary {
		    font-weight: bold;
		    font-size: 1.5em;
		    line-height: 1em;
		  }
		  div.asset.large .data li span.value {
		    font-weight: bold;
		  }
		  div.asset.large .data li span.state:after {
		    content: " " url(http://oculosis.com/maraby/tmp/harbor/states/state-12-red.png);
		  }
		  
		  /* SMALL ASSET BADGE */
		  div.asset.small {
		    background: #DDD;
		    width: 140px;
		    padding: 3px;
		    font-size: 0.8em;
		  }
		  div.asset.small ul.data, div.asset.small ol.data {
		    list-style: none;
		    padding: 0;
		    margin: 0;
		  }
		  div.asset.small .data li {
		    margin: 0.5em;
		    text-align: right;
		  }
		  div.asset.small .data li span.label {
		    font-weight: bold;
		    color: #888;
		    float: left;
		  }
		  div.asset.small .data li span.primary {
		    font-weight: bold;
		    font-size: 1.5em;
		    line-height: 1em;
		  }
		  div.asset.small .data li span.value {
		    font-weight: bold;
		  }
		  div.asset.small .data li span.state:after {
		    content: " " url(http://oculosis.com/maraby/tmp/harbor/states/state-12-red.png);
		  }
		</style>
	</head>
	<body>
		<div id="page">
			
			<div id="header">
				<h1>Dacelo UI Components</h1>
				<h2>Asset Styles</h2>
			</div><!-- /header -->
			
			<div id="body">
				
				<div class="dacelo-skin"><div id="tabs" class="dacelo-tabset yui-navset">
					<ul class="yui-nav">
						<li><a href="#t1">Introduction</a></li>
						<li class="selected"><a href="#t2">Usage</a></li>
						<li><a href="#t3">License</a></li>
					</ul><!-- /.yui-nav -->
					<div class="yui-content">
						<div id="t1" class="tab">
							<h2>Introduction</h2>
							<p>
								The Dacelo UI Components distribution includes a coordination of YUI and
								Prototype (with Scriptaculous) to create very clean, simple implementations
								for various tasks, like stylistic yet light-weight overlaying tooltips or
								tables with sortable data, etc.
							</p>
							<p>
								Essentially, there is nothing revolutionary in this distribution; instead,
								this distribution is intended to tie these libraries into a cohesive and
								contained solution to be dropped into any application with similar
								requirements to achieve identical results.
							</p>
						</div><!-- /t1 -->
						<div id="t2" class="tab">
						  <h2>Idea</h2>
						  <p>
						    The idea of having certain "badge" styles for assets is that we have a consistent
						    and functional view in all areas of a given site creating familiarity and internal
						    consistency. Also, styling can be applied similarly to create very POSH source.
						  </p>
						  <p>
						    This is done by following a standard HTML structure for a given source in any place.
						    This is the first draft of the structure of an asset in Harbor.
						  </p>
						  <p><img src="http://oculosis.com/maraby/tmp/harbor/asset-struct.png" /></p>
						  <p>
						    <strong>NOTE:</strong> The <code>div(icon)</code> was deprecated in favor of simply
						    having the stylesheet provide for optional imagery. It wasn't indicated in the structure
						    presentation above, but the <code>div(icon)</code> block is optional so this breaks
						    nothing concerning the consistency of the format.
						  </p>
						  <h2>Visual Styles</h2>
						  <h3>Large/Normal Asset Card</h3>
						  <div id="asset-10000" class="asset large">
						    <ul class="data">
						      <li class="identifier">
						        <span class="label">HubID:</span>
						        <span class="primary">10000</span>
						      </li>
						      <li class="identifier">
						        <span class="label">Service Tag:</span>
						        <span class="value">SV4R11B</span>
						      </li>
						      <li class="state">
						        <span class="label">State:</span>
						        <span class="state">Holding</span>
						      </li>
						    </ul>
						  </div>
						  <h3>Small/Listing Asset Card</h3>
						  <p>Consists of the same HTML for the Large/Normal card, but styled alternatively.</p>
						  <div id="asset-10000" class="asset small">
						    <ul class="data">
						      <li class="identifier">
						        <span class="label">HubID:</span>
						        <span class="primary"><a href="#">10000</a></span>
						      </li>
						      <li class="identifier">
						        <span class="label">Service Tag:</span>
						        <span class="value"><a href="#">SV4R11B</a></span>
						      </li>
						      <li class="state">
						        <span class="label">State:</span>
						        <span class="state"><a href="#">Holding</a></span>
						      </li>
						    </ul>
						  </div>
							<h2>Usage</h2>
							<p>
								Well... that's what we're working out. Hang with it.
							</p>
							<h3>Assets</h3>
							<div class="dacelo-skin"><div id="assets-view">
								<table id="assets">
									<thead>
										<tr>
											<th>HUB ID</th>
											<th>Service Tag</th>
											<th>Asset Type</th>
											<th>State</th>
											<th>Location</th>
											<th></th>
										</tr>
									</thead>
									<tbody>
										<tr>
											<td><a href="#">10000</a></td>
											<td><a href="#">SV4R11B</a></td>
											<td><a href="#">Dell D820</a></td>
											<td><a href="#">Holding</a></td>
											<td><a href="#">L163 Rack 1A</a></td>
											<td><a href="#">Distribute</a></td>
										</tr>
										<tr>
											<td><a href="#">10001</a></td>
											<td><a href="#">SV4R11C</a></td>
											<td><a href="#">Dell D820</a></td>
											<td><a href="#">Holding</a></td>
											<td><a href="#">L163 Rack 1A</a></td>
											<td><a href="#">Distribute</a></td>
										</tr>
										<tr>
											<td><a href="#">10003</a></td>
											<td><a href="#">SV4R11D</a></td>
											<td><a href="#">Dell D820</a></td>
											<td><a href="#">Issuable</a></td>
											<td><a href="#">L163 Rack 4C</a></td>
											<td><a href="#">Distribute</a></td>
										</tr>
										<tr>
											<td><a href="#">10004</a></td>
											<td><a href="#">SV4R11G</a></td>
											<td><a href="#">Dell D820</a></td>
											<td><a href="#">Holding</a></td>
											<td><a href="#">L163 Rack 1A</a></td>
											<td><a href="#">Distribute</a></td>
										</tr>
										<tr>
											<td><a href="#">10341</a></td>
											<td><a href="#">SX4R17H</a></td>
											<td><a href="#">Dell D820</a></td>
											<td><a href="#">Issuable</a></td>
											<td><a href="#">L163 Rack 4A</a></td>
											<td><a href="#">Distribute</a></td>
										</tr>
									</tbody>
								</table><!-- /assets -->
							</div></div><!-- /assets-view -->
						</div><!-- /t1 -->
						<div id="t3" class="tab">
							<div id="license">
								<h2>License and Copyright</h2>
								<p>
									Copyright &copy; 2007 Matt Todd &lt;http://purl.org/net/maraby&gt;.
								</p>
								<p>
									Permission is hereby granted, free of charge, to any person obtaining a
									copy of this software and associated documentation files (the "Software"),
									to deal in the Software without restriction, including without limitation
									the rights to use, copy, modify, merge, publish, distribute, sublicense,
									and/or sell copies of the Software, and to permit persons to whom the
									Software is furnished to do so, subject to the following conditions:
								</p>
								<p>
									The above copyright notice and this permission notice shall be included in
									all copies or substantial portions of the Software.
								</p>
								<p>
									THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
									IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
									FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
									AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
									LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
									FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
									DEALINGS IN THE SOFTWARE.
								</p>
								<p>
									This notice is located at:
									<a href="http://www.opensource.org/licenses/mit-license.php">http://www.opensource.org/licenses/mit-license.php</a>
								</p>
							</div><!-- /license -->
						</div><!-- /t1 -->
					</div><!-- /.yui-content -->
					
				</div></div><!-- /tabs -->
				
			</div><!-- /body -->
			
		</div><!-- /page -->
	</body>
</html>
